Bug 217662 - daylight saving time trouble on samba share
daylight saving time trouble on samba share
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guenther Deschner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-29 03:54 EST by Vincent Louviaux
Modified: 2010-05-10 10:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 10:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Louviaux 2006-11-29 03:54:18 EST
Description of problem:

when the time changes back from daylight saving time (to winter time on october
29). The samba server keeps performing the conversion with the previous offset.


the server  is nfm10 :
samba share on /home/nfmpload/netmind
[root@nfm10 netmind]# ls -l Version.txt
-rw-r--r--  1 nfmpload nfmpload 878 Nov  5 13:30 Version.txt

on a client with the samba share mouted before the 29 oct :
[root@nfm11 mfs]# ls -l Version.txt
-rw-r--r--  1 nf1pload 8202 878 Nov  5 12:30 Version.txt
[root@nfm11 mfs]# ls -lu Version.txt
-rw-r--r--  1 nf1pload 8202 878 Nov 26 17:22 Version.txt


on a client mounted after the dst change,
the time of the file is correct
[root@nfm14 mfs]# ls -l Version.txt
-rw-r--r--  1 nf4pload 8202 878 Nov  5 13:30 Version.txt
[root@nfm14 mfs]# ls -lu Version.txt
-rw-r--r--  1 nf4pload 8202 878 Nov 26 18:22 Version.txt






Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. give the date on all systems (server and clients) with the date before the
DST change, mount the share 
2. the next day , there is one hour offset of the creation,modification and
acess time of files

  
Actual results:
One hour offset

Expected results:
The same time of file

Additional info:
Comment 1 Andrew Bartlett 2007-01-01 05:12:33 EST
Is this mounted with smbfs or cifs?  (I suspect a client bug here)
Comment 2 Vincent Louviaux 2007-01-19 06:45:17 EST
mounted by smbfs in /etc/fstab
Comment 3 Dmitri Pal 2010-05-10 10:41:51 EDT
Please use cifsfs.

Note You need to log in before you can comment on or make changes to this bug.